Skip to Main Content

Database Software

Announcement

For appeals, questions and feedback, please email oracle-forums_moderators_us@oracle.com

Is there a way to know the supported ciphers by a 11.2.0.4 database

Patrick MonacoNov 20 2023

I'm using a 11.2.0.4. DB.

I'm trying to call REST api (via http_utl) at a site which supports only TLS 1.2 with the following ciphers:

  • TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256
  • TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384
  • TLS_ECDHE_RSA_WITH_CHACHA20_POLY1305_SHA256

I get a certificate error 0RA-29024

If I trying with an other site with the same certificate authority but wich supports the older ciphers

  • TLS_DHE_RSA_WITH_AES_128_GCM_SHA256 et
    TLS_DHE_RSA_WITH_AES_256_GCM_SHA384

that runs ok.

Therefore, I'm pretty sure it's a cipher lack of support.

My two questions:

  1. Is there a list of supported ciphers in MES 4.1.5 ?
  2. Is there a way to add the TLS_ECDHE_RSA* ciphers to a old version of database ? I'm aware of Dell BSAFE Micro-Edition Suite (MES), but this module can be applied on top of 12.1 only.

Thanks in advance !

Patrick

Comments
Post Details
Added on Nov 20 2023
0 comments
101 views